import { OnDestroy, OnInit } from '@angular/core';
import { SkyDropdownMessage } from '@skyux/popovers';
import { Subject } from 'rxjs';
import { SkyTextEditorMenuType } from '../types/menu-type';
import { SkyTextEditorMergeField } from '../types/text-editor-merge-field';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class SkyTextEditorMenubarComponent implements OnDestroy, OnInit {
    #private;
    editorFocusStream: Subject<void>;
    menus: SkyTextEditorMenuType[];
    mergeFields: SkyTextEditorMergeField[];
    disabled: boolean;
    editDropdownStream: Subject<SkyDropdownMessage>;
    editItems: {
        function?: () => void;
        isDivider?: boolean;
        label?: string;
        keyShortcut?: string;
    }[] | undefined;
    formatDropdownStream: Subject<SkyDropdownMessage>;
    formatItems: {
        function?: () => void;
        isDivider?: boolean;
        label?: string;
        keyShortcut?: string;
    }[] | undefined;
    mergeFieldDropdownStream: Subject<SkyDropdownMessage>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    execCommand(command: string, value?: string): void;
    insertMergeField(field: SkyTextEditorMergeField): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyTextEditorMenubarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkyTextEditorMenubarComponent, "sky-text-editor-menubar", never, { "editorFocusStream": { "alias": "editorFocusStream"; "required": false; }; "menus": { "alias": "menus"; "required": false; }; "mergeFields": { "alias": "mergeFields"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_disabled: unknown;
}
