import { Observable } from 'rxjs';
import { EditorSetting } from '../types/editor-setting';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class SkyTextEditorService {
    #private;
    /**
     * A dictionary representing all active text editors and their settings.
     */
    set editor(value: EditorSetting);
    get editor(): EditorSetting;
    get isInitialized(): boolean;
    /**
     * Returns the blur observable from the editor with the corresponding id.
     */
    blurListener(): Observable<unknown>;
    /**
     * Returns the click observable from the editor with the corresponding id.
     */
    clickListener(): Observable<unknown>;
    /**
     * Returns the command change observable from the editor with the corresponding id.
     */
    commandChangeListener(): Observable<unknown>;
    /**
     * Returns the focus observable from the editor with the corresponding id.
     */
    focusListener(): Observable<unknown>;
    /**
     * Returns the input change observable from the editor with the corresponding id.
     */
    inputListener(): Observable<unknown>;
    /**
     * Returns the selection change observable from the editor with the corresponding id.
     */
    selectionChangeListener(): Observable<unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyTextEditorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SkyTextEditorService>;
}
