import { OnInit } from '@angular/core';
import { SkyColorpickerMessage, SkyColorpickerOutput } from '@skyux/colorpicker';
import { SkyDropdownMessage } from '@skyux/popovers';
import { Subject } from 'rxjs';
import { SkyTextEditorFont } from '../types/font-state';
import { SkyTextEditorLinkWindowOptionsType } from '../types/link-window-options-type';
import { SkyTextEditorStyleState } from '../types/style-state';
import { SkyTextEditorToolbarActionType } from '../types/toolbar-action-type';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class SkyTextEditorToolbarComponent implements OnInit {
    #private;
    set editorFocusStream(value: Subject<void>);
    get editorFocusStream(): Subject<void>;
    fontList: SkyTextEditorFont[];
    fontSizeList: number[];
    toolbarActions: SkyTextEditorToolbarActionType[];
    linkWindowOptions: SkyTextEditorLinkWindowOptionsType[];
    set styleState(value: SkyTextEditorStyleState);
    get styleState(): SkyTextEditorStyleState;
    disabled: boolean;
    backColorpickerStream: Subject<SkyColorpickerMessage>;
    colorpickerStream: Subject<SkyColorpickerMessage>;
    fontPickerStream: Subject<SkyDropdownMessage>;
    fontSizeStream: Subject<SkyDropdownMessage>;
    styleStateFontName: string | undefined;
    ngOnInit(): void;
    execCommand(command: string, value?: string): void;
    toggleFontStyle(currentState: boolean, newState: boolean, command: string): void;
    link(): void;
    unlink(): void;
    changeFontSize(size: number): void;
    onColorpickerColorChanged(color: SkyColorpickerOutput, isBackground?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyTextEditorToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkyTextEditorToolbarComponent, "sky-text-editor-toolbar", never, { "editorFocusStream": { "alias": "editorFocusStream"; "required": false; }; "fontList": { "alias": "fontList"; "required": false; }; "fontSizeList": { "alias": "fontSizeList"; "required": false; }; "toolbarActions": { "alias": "toolbarActions"; "required": false; }; "linkWindowOptions": { "alias": "linkWindowOptions"; "required": false; }; "styleState": { "alias": "styleState"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_disabled: unknown;
}
